installing development cds

IRIX/Nekoware development, porting and related topics.
Forum rules
Any posts concerning pirated software or offering to buy/sell/trade commercial software are subject to removal.
rockingabe
Posts: 5
Joined: Wed Jun 01, 2005 6:33 pm
Contact:

installing development cds

Unread postby rockingabe » Sat Jun 04, 2005 12:47 pm

Hi everyone. I installed irix 6.5 and then installed the new 6.5.22 overlays. I now want to install the development stuff from the 6.5 development foundation and library cds. However, it says that its incompaitable with ther version of the base execution enviorment, which is 6.5.22. I get the same problem when i try to install nfs from the nfs cd.

User avatar
somecodemonkey
Posts: 277
Joined: Mon May 19, 2003 12:51 pm
Location: Oxford UK
Contact:

Unread postby somecodemonkey » Sat Jun 04, 2005 1:02 pm

Ah yes I remeber this well. When I used to do irix installs I would install the dev stuff before any overlays as the dev discs will have software that has to be installed... but irix won't install it as it older than the versions that the overlays installed, but you can;t install the dev discs without this software!!!

Did this a few times and usually just started from scratch and installed the dev discs before anything else :roll:
1995: Real Audio released, allowing users to listen to halting bursts of static in real time.

rockingabe
Posts: 5
Joined: Wed Jun 01, 2005 6:33 pm
Contact:

Unread postby rockingabe » Sat Jun 04, 2005 1:16 pm

oh no! darn, i already installed a bunch of stuff. Well, thanks for the info. I've learned a lesson.

User avatar
nekonoko
Site Admin
Site Admin
Posts: 8145
Joined: Thu Jan 23, 2003 1:31 am
Location: Pleasanton, California
Contact:

Unread postby nekonoko » Sat Jun 04, 2005 3:53 pm

You can still install them, you just need to offer your 6.5.22 overlays alongside them so the proper upgrades can be installed as well.
Twitter: @neko_no_ko
IRIX Release 4.0.5 IP12 Version 06151813 System V
Copyright 1987-1992 Silicon Graphics, Inc.
All Rights Reserved.

User avatar
hamei
Posts: 10433
Joined: Tue Feb 24, 2004 4:10 pm
Location: over the rainbow

Unread postby hamei » Sat Jun 04, 2005 5:22 pm

nekonoko wrote:You can still install them, you just need to offer your 6.5.22 overlays alongside them so the proper upgrades can be installed as well.

I just "open" every single Irix CD I own and then it seems to work okay :)

User avatar
kshuff
Posts: 2459
Joined: Sat Jan 08, 2005 8:13 pm
Location: Jonas, PA USA
Contact:

Unread postby kshuff » Sat Jun 04, 2005 6:08 pm

hamei wrote:I just "open" every single Irix CD I own and then it seems to work okay :)


Simple and logical, works for me as well :wink: I've been down that road before and learned the hard way to open everything.
-ks

:Onyx: :Onyx: :Crimson: :O2000: :Onyx2: :Fuel: :Octane: :Octane2: :PI: :Indigo: :Indigo: :O2: :O2: :Indigo2: :Indigo2: :Indigo2IMP: :Indy: :320: :540: :O3x0: :1600SW: :1600SW: :hpserv:

See them all >here<

User avatar
chervarium
Posts: 349
Joined: Fri Jan 09, 2004 4:02 am
Location: Sofia, BG, EU
Contact:

Unread postby chervarium » Sat Jun 04, 2005 6:47 pm

Code: Select all

primordium 122# ls -la /usr/nfs/SIGBUS/data/IRIX/base/df/dist/
total 7
drwxr-xr-x    3 root     sys          512 Jun  2  1998 .
drwxr-xr-x    6 root     sys          512 Sep 14  2004 ..
-rw-r--r--    1 root     sys            0 Jun  2  1998 .iscd
-rw-r--r--    1 root     sys          243 Mar 20  1998 .redirect
drwxr-xr-x    2 root     sys         2048 Jun  2  1998 dist6.5
primordium 123# cat /usr/nfs/SIGBUS/data/IRIX/base/df/dist/.redirect
dist6.5        ((TARGOS >= 1270000000) && (TARGOS <= 1279999999)) || ((DISTOS >= 1270000000) && (DISTOS <= 1279999999))


? This software distribution is not meant to install on \
the version of IRIX currently running on this machine.  Sorry.
primordium 124#

Do you see the .redirect file? It's there to supress the installation in case of a "very new" IRIX. Just poin inst to dist/dist6.5 instead of just dist and the problem is gone (this happens with the Development Foundations 1.1/812-0757-002).
Even though the distribution is older, it's well overlayed (but you'll have to open the installed overlays as well).
EDIT: ONC3/NFS distribution has similar .redirect file in its dist. Once again dist/dist6.5 will do the trick.
LAMMEN GORTHAUR


Return to “SGI: Development”

Who is online

Users browsing this forum: No registered users and 3 guests